# $Revision: 1.75 $, $Date: 2010/09/05 16:58:11 $
Summary:	Powerful image loading and rendering library
Summary(pl.UTF-8):	Potężna biblioteka wczytująca i renderująca obrazki
Name:		imlib2
Version:	1.4.4
Release:	1
License:	BSD-like
Group:		X11/Libraries
Source0:	http://downloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.bz2
# Source0-md5:	b6de51879502e857d5b1f7622267a030
URL:		http://enlightenment.org/p.php?p=about/libs/imlib2
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	bzip2-devel
BuildRequires:	freetype-devel >= 2.1
BuildRequires:	giflib-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libjpeg-devel >= 6b-18
BuildRequires:	libltdl-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	zlib-devel
Obsoletes:	libimlib2_1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Imlib2 is an advanced replacement library for libraries like libXpm
that provides many more features with much greater flexibility and
speed than standard libraries, including font rasterization, rotation,
RGBA space rendering and blending, dynamic binary filters, scripting,
and more.

%description -l pl.UTF-8
Imlib2 jest zaawansowaną biblioteką, zamiennikiem takich bibliotek jak
libXpm. Imlib2 dostarcza o wiele więcej możliwości przy dużo większej
szybkości niż standardowe biblioteki (włączając w to rasteryzację
fontów, obracanie, renderowanie przestrzeni RGBA, mieszanie,
dynamiczne filtry (w postaci binarnej), obsługa języka skryptowego i
wiele więcej.

%package devel
Summary:	Imlib2 header files and development documentation
Summary(fr.UTF-8):	Fichiers entête pour Imlib2
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentacja do imlib2
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	freetype-devel
Requires:	libltdl-devel
Requires:	xorg-lib-libXext-devel
Obsoletes:	libimlib2_1-devel

%description devel
Header files and development documentation for Imlib2.

%description devel -l fr.UTF-8
Fichiers entête pour Imlib2.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja do biblioteki Imlib2.

%package static
Summary:	Imlib2 static library
Summary(pl.UTF-8):	Biblioteka statyczna imlib2
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Imlib2 static library.

%description static -l pl.UTF-8
Biblioteka statyczna imlib2.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
%ifarch i586 i686 pentium3 pentium4 athlon
	--enable-mmx
%else
	--disable-mmx
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not needed
%{__rm} $RPM_BUILD_ROOT%{_libdir}/imlib2/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN ChangeLog README
%attr(755,root,root) %{_bindir}/imlib2_*
%attr(755,root,root) %{_libdir}/libImlib2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libImlib2.so.1
%dir %{_libdir}/imlib2
%dir %{_libdir}/imlib2/filters
%attr(755,root,root) %{_libdir}/imlib2/filters/*.so
%dir %{_libdir}/imlib2/loaders
%attr(755,root,root) %{_libdir}/imlib2/loaders/*.so
%{_datadir}/imlib2

%files devel
%defattr(644,root,root,755)
%doc doc/{*.gif,*.html}
%attr(755,root,root) %{_bindir}/imlib2-config
%attr(755,root,root) %{_libdir}/libImlib2.so
%{_libdir}/libImlib2.la
%{_includedir}/Imlib2.h
%{_pkgconfigdir}/imlib2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libImlib2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: imlib2.spec,v $
Revision 1.75  2010/09/05 16:58:11  qboosh
- updated to 1.4.4
- removed obsolete ac,libpng patches

Revision 1.74  2010/02/08 16:16:15  arekm
- libpng fixes

Revision 1.73  2010/01/28 23:15:54  sparky
- BR: pkgconfig

Revision 1.72  2010/01/28 17:28:45  arekm
- release 3

Revision 1.71  2009/07/10 19:53:14  arekm
- release 2

Revision 1.70  2009/02/08 22:16:01  megabajt
- added CVE reference

Revision 1.69  2008/11/11 12:13:40  arekm
- up to 1.4.2 [fixes CVE-2008-6079]

Revision 1.68  2008/08/25 16:36:40  pablo
- updated to 20080813 snap

Revision 1.67  2008/06/03 16:48:32  qboosh
- updated ac/am BRs

Revision 1.66  2008-06-03 15:58:33  qboosh
- ghost soname symlink

Revision 1.65  2008-06-01 14:03:00  cactus
- up to 1.4.1.000

Revision 1.64  2007-09-09 11:53:47  qboosh
- updated URL

Revision 1.63  2007/09/08 21:33:11  qboosh
- License is very loose BSD (COPYING files included)

Revision 1.62  2007/09/08 21:29:19  qboosh
- updated to 1.4.0

Revision 1.61  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.60  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.59  2007/01/09 23:43:57  arekm
- rel 2; drop la files

Revision 1.58  2007/01/04 17:45:27  arekm
- up to 1.3.0

Revision 1.57  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.56  2006/03/23 19:42:54  qboosh
- updated to 1.2.2
- BR: libid3tag-devel, zlib-devel (used also directly, not only for PNG support)

Revision 1.55  2006/03/20 19:37:18  freetz
- rel.2

Revision 1.54  2006/03/19 15:22:22  megabajt
- modular xorg deps

Revision 1.53  2005/08/25 11:50:22  charles
- proper URL

Revision 1.52  2005/06/16 21:55:02  charles
- updated to 1.2.1
- added URL

Revision 1.51  2005/01/10 20:01:21  qboosh
- lib64 fix, removed unused _sysconfdir definition

Revision 1.50  2005/01/09 19:10:19  qboosh
- updated to 1.2.0, removed path patch (seems no longer needed)

Revision 1.49  2004/12/10 23:44:21  ankry
- rel. 2

Revision 1.48  2004/12/10 09:37:35  ankry
- BR: bzip2-devel

Revision 1.47  2004/09/01 19:42:32  qboosh
- updated to 1.1.2 (includes security fix in bmp handling)

Revision 1.46  2004/08/31 15:52:46  snurf
- typos / formatting / etc.

Revision 1.45  2004/08/01 10:07:12  qboosh
- updated to 1.1.1, updated path patch, removed obsolete ltdl,link,gcc34 patches

Revision 1.44  2004/05/06 11:15:47  qboosh
- strict internal deps

Revision 1.43  2004/04/14 11:56:03  adgor
- gcc34.patch readded

Revision 1.42  2004/04/11 20:17:37  adgor
- Reverted

Revision 1.41  2004/04/11 19:53:23  adgor
- Added gcc34.patch

Revision 1.40  2004/03/26 21:22:29  qrczak
- I don't know why mkinstalldirs was missing there, here is a workaround.
  Perhaps somebody will be able to fix this properly.

Revision 1.39  2003/10/13 22:16:03  qboosh
- added link patch (link libImlib with -lm), release 2

Revision 1.38  2003/10/06 20:41:05  qboosh
- up to 1.1.0
- updated path and ltdl patches, removed obsolete as and AC_LIBOBJ patches
- uses freetype 2.x at last!

Revision 1.37  2003/09/01 16:59:26  qboosh
- fixed descriptions

Revision 1.36  2003/08/15 09:19:37  qboosh
- removed useless/evil/harmful static_ltdl bcond, added docs, cleanups

Revision 1.35  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.34  2003/05/25 05:48:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/03/30 10:46:30  kloczek
- added libltdl-devel to Requires list for devel subpackage.

Revision 1.32  2003/02/11 10:58:34  qboosh
- working Source0 URL

Revision 1.31  2003/01/27 22:27:24  radek
- updated Source0 URL

Revision 1.30  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.29  2002/11/25 14:16:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.28  2002/11/14 08:59:02  kloczek
- release 3.

Revision 1.27  2002/11/06 23:50:41  qboosh
- pl summary, better bcond description ;)
- removed BR: edb-devel (bogus, not used for anything)

Revision 1.26  2002/10/09 13:14:35  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/08/12 18:50:10  kloczek
- release 2.

Revision 1.24  2002/08/12 09:09:17  wiget
fix AC_LIBOBJ issue

Revision 1.23  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/05/21 23:13:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/05/05 11:25:32  ankry
- ftp Source URL instead of http (prdownloads.sourceforge.net does not seem
  to serve this file)

Revision 1.20  2002/05/05 06:47:02  filon
- updated to bugfix relese 1.0.6

Revision 1.19  2002/04/25 16:36:22  arturs
fixed a small typo

Revision 1.18  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.17  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/15 08:17:34  kloczek
- adapterized.

Revision 1.14  2002/01/26 13:13:06  filon
- updated for athlon
-release 2

Revision 1.13  2002/01/22 07:57:16  filon
- updated to 1.0.5, STB

Revision 1.12  2002/01/21 11:06:50  filon
- swithed back to dynamic libltdl

Revision 1.11  2002/01/20 23:34:31  filon
- previous version works, but needs dynamic libltdl
- added --ltdl option for libtoolize, it copies ltld sources and fixes build without patching
- _with_dynamic_ltdl option compiles and links with installed liltldl.so
- release 5

Revision 1.10  2002/01/20 15:22:22  kloczek
- libimlib2_1{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.9  2002/01/20 09:35:10  filon
- finaly fixex asm patch (libtool support for asm source is awful)
- also ltdld patch
- builds, and works (tested with feh), release 4

Revision 1.8  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/06 22:12:24  filon
- added passing AS env. var. for buildsystem
- added ASFLAGS for make
- modified ltdl patch for completly remove relaying on included libltdl
- release 3, builds

Revision 1.6  2001/12/03 22:34:44  filon
- added 'as' patch for autoconf assembler problems
- almost builds

Revision 1.5  2001/11/10 19:03:24  kloczek
- updated to 1.0.4.

Revision 1.4  2001/09/06 17:10:29  kloczek
- cosmetics.

Revision 1.3  2001/08/24 01:29:05  kloczek
- spec adapterized.

Revision 1.2  2001/08/23 13:25:40  trojan
- s/%%{prefix}/%%{_prefix}/
- added patch (do not use libltdl directory)
- release 2; STB

Revision 1.1  2001/05/01 08:32:02  misiek
initial pld release
